JABREF(1)

NAME
jabref - graphical frontend to manage BibTeX databases

SYNOPSIS
jabref [options] [bibtex-file]

DESCRIPTION
JabRef is a graphical Java application for editing bibtex (.bib) databases. JabRef lets you organize your entries into overlapping logical groups, and with a single click limit your view to a single group or an intersection or union of several groups. You can customize the entry information shown in the main window, and sort by any of the standard Bibtex fields. JabRef can autogenerate bibtex keys for your entries. JabRef also lets you easily link to PDF or web sources for your reference entries.
JabRef can import from and export to several formats, and you can customize export filters. JabRef can be run as a command line application to convert from any import format to any export format.

OPTIONS

-a, --aux=<STRING>
    Subdatabase from aux: file[.aux],new[.bib]

-b, --blank=<BOOLEAN>
    Do not open any files at startup

-d, --prdef=<STRING>
    Reset preferences (key1,key2,... or 'all')

-f, --fetch=<STRING>
    Run Fetcher, e.g. "--fetch=Medline:cancer"

-h, --help=<BOOLEAN>
    Display help on command line options and a list of available import/export formats

-i, --import=<STRING>
    Import file: filename[,import format]

--importToOpen=<STRING>
    Import to open tab

-l, --loads=<BOOLEAN>
    Load session

-m, --exportMatches=<STRING>
    [field=]searchTerm,outputfile[,exportFormat]

-n, --nogui=<BOOLEAN>
    No GUI. Only process command line options.

-o, --output=<STRING>
    Output or export file: filename[,export format]

-p, --primp=<STRING>
    Import preferences from file

-s, --nosplash=<BOOLEAN>
    Do not show splash window at startup

-v, --version=<BOOLEAN>
    Display version

-x, --prexp=<STRING>
    Export preferences to file

EXAMPLES
Export a selection of references:

jabref -m '(author=bock or title|keywords="computer methods") and not
    (author=sager)',output.html,html -n true inputfile.bib

For information referring to the search function see the documentation for 'advanced search'.
    Custom export formats can be added within the program (options - manage custom exports). Available export formats are listed by the help (jabref -h).

JAVA-WRAPPERS NOTE
This program is a shell script wrapper based on java-wrappers(7). You therefore benefit from several features; please see the java-wrappers(7) manual page for more information about them.

SEE ALSO
the included help and commandline help: jabref -h
http://jabref.sourceforge.net/
java-wrappers(7)

AUTHOR
jabref was written by Morten O. Alver and Nizar Batada.

This manual page was written by gregor herrmann <gregoa@debian.org>, for the Debian project (but may be used by others).

CONTRIBUTORS
Thanks to Martin Weis <martin.weis.newsadress@gmx.de> for his updates to this manual page.